Package Details: pyload-git v0.4.9.r4442.g9f346c75e-1

Git Clone URL: https://aur.archlinux.org/pyload-git.git (read-only, click to copy)
Package Base: pyload-git
Description: Downloadtool for One-Click-Hoster written in python. Latest stable branch
Upstream URL: https://github.com/pyload/pyload/tree/stable
Licenses: GPL
Conflicts: pyload, pyload-hg
Provides: pyload
Submitter: robertfoster
Maintainer: robertfoster
Last Packager: robertfoster
Votes: 33
Popularity: 0.157879
First Submitted: 2013-05-18 15:18
Last Updated: 2019-09-11 18:59

Latest Comments

1 2 3 4 Next › Last »

illogical123 commented on 2019-11-11 19:28

Despite the optional dependency, I get

ImportError: No module named PyQt4.QtCore

with the GUI. Which package am I missing?

robertfoster commented on 2019-09-11 18:58

@soki sorry, I've reorganized my ideas.This package will be dedicated to git latest stable branch. @lord_rel I've adopted pyload-nightly to push python3 changes for pyload-ng

sokl commented on 2019-09-10 05:30

robertfoster, change version in pkgbuild to 0.5. It's misleading. I've updated thinking it was still the stable 0.49 version. Had to revert back.

robertfoster commented on 2019-09-08 13:44

Updated to latest python3 0.5.0 alpha. Currently doesn't run correctly. Please report bugs upstream

robertfoster commented on 2019-06-30 19:26

@lord_rel: I'm working on updated version, but some deps need upgrade. for example python-requests-html~=0.10.0. A preliminary PKGBUILD follows:

# Maintainer: robertfoster

pkgname='pyload-git'
pkgver=v0.4.9.r4777.g20577d848
pkgrel=1
pkgdesc="Downloadtool for One-Click-Hoster written in python. Latest stable branch"
url="https://github.com/pyload/pyload"
license=('GPL')
arch=('any')
provides=('pyload')
conflicts=('pyload' 'pyload-hg')
backup=('var/lib/pyload/pyload.conf')
depends=('python' 'python-cheroot' 'python-cryptography' 'python-flask' 'python-flask-themes2' 'python-requests-html' 'python-semver')
makedepends=('python-setuptools' 'python-babel' 'python-jinja2')
optdepends=('python-beautifulsoup4: for web scraping'
    'python-colorlog: for colored log output'
    'python-pycryptodomex: for low-level crypto routines'
    'python-pillow: Captcha resolver'
    'python-pyopenssl: ssl support'
    'python-pyxmmp2: notify on xmpp'
    'python-send2trash: trash support'
)
makedepends=('git')
install='pyload-git.install'

source=("$pkgname::git+https://github.com/pyload/pyload.git"
'pyload.service' 'pyload.conf' 'pyLoadCore' 'pyLoadCli' 'pyLoadGui')

pkgver() {
    cd $srcdir/$pkgname
    git describe --long --tags| sed -r 's/([^-]*-g)/r\1/;s/-/./g'
}

build() {
    cd $srcdir/$pkgname
    python setup.py build
#   python setup.py build_locale

}

package() {
    cd ${srcdir}/$pkgname
    python setup.py install --root=$pkgdir

    # Create PyLoad service
    install -D -m 644 ${srcdir}/pyload.service ${pkgdir}/usr/lib/systemd/system/pyload.service
    install -D -m 644 ${srcdir}/pyload.conf ${pkgdir}/var/lib/pyload/pyload.conf
}

md5sums=('SKIP'
         '454e974b11ab31533423f336c3a182f2'
         '32b00d50be868c165930c592b99730a9'
         '6d764666ec89ce218cd00164e73e0989'
         '6fc2f343d2f324a66745524bbab93e5c'
         '806a22a74e8331dffcb8538182e4df2c')

lord_rel commented on 2019-06-24 17:59

The software has been ported to python3 so maybe its time to update? or create a new package for pyload-ng as its called now?

johnnybash commented on 2018-01-31 16:41

cause its a git package, you have just to reinstall/-build to get the last changes ;)

Keltere commented on 2018-01-30 21:59

When it will be update to the last commit?

robertfoster commented on 2018-01-26 15:16

latest commit for stable branch is 76d83e9df127cc28259ad072136eb9e97a521c4a

Marius_Linux commented on 2017-05-17 13:57

For correct version generating, change pkgver() like this:

pkgver() {
cd pyload
git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
}